% CLR p479

% A -> B
% |    |
% v    v
% D <- C <- E

A=1;B=2;C=3;D=4;E=5;
G = zeros(5,5);
G(A,B)=1;
G(A,D)=1;
G(B,C)=1;
G(C,D)=1;
G(E,C)=1;

[d, f, pred, cycle] = depthFirstSearch(G, A, 1);
assert(isequal(d, [1 2 3 4 9]))
assert(isequal(f, [8 7 6 5 10]))
