
clear all
A = 1; B = 2; C = 3; D = 4; E = 5; F = 6; G = 7; H  = 8; I = 9; J = 10; K = 11;

N = 10;

ug = zeros(N,N);
ug(A,[B D])=1;
ug(B,[A C D E])=1;
ug(C,[B E])=1;
ug(D,[A B F])=1;
ug(E,[B C G])=1;
ug(F,[D G H I])=1;
ug(G,[E F I J])=1;
ug(H,F)=1;
ug(I,[F G])=1;
ug(J,G)=1;

sz = 2*ones(1,N);
sz(D)=4; sz(E)=5; sz(F)=6; sz(G)=8;

order = elimOrderGreedy(ug)
[GT, cliques, fill_ins] = triangulate(ug, order);
fill_ins
clqSize = [];
clqWeight = [];
for i=1:length(cliques)
  clqSize(i) = length(cliques{i});
  clqWeight(i) = prod(sz(cliques{i}));
end
w1 = sum(clqWeight)

order = hw4_q1_order;
[GT, cliques, fill_ins] = triangulate(ug, order);
fill_ins
clqSize = [];
clqWeight = [];
for i=1:length(cliques)
  clqSize(i) = length(cliques{i});
  clqWeight(i) = prod(sz(cliques{i}));
end
w2 = sum(clqWeight)
assert(w2 < w1)
